package com.ruixuan.jiaoyang.mapper;

import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface JiaoYangReportMapper {
    List<JSONObject> item(Map<String, Object> requestMap);

    List<JSONObject> itemDetail(Map<String, Object> requestMap);

    List<JSONObject> promoter(Map<String, Object> requestMap);

    List<JSONObject> anchorOrderDetail(Map<String, Object> requestMap);

    List<JSONObject> promoterStatistics(Map<String, Object> requestMap);

    List<JSONObject> getClipCooperation(@Param("date") Long date, @Param("promoterId") Long promoterId, @Param("promoterName") String promoterName);

    JSONObject getOrderTotal(Map<String, Object> requestMap);

    Double getOrderTotalRatio(Map<String, Object> ratioMap);

    JSONObject getServiceAmountTotal(Map<String, Object> requestMap);

    JSONObject getAmountTotal(Map<String, Object> requestMap);

    Double getAmountTotalRatio(Map<String, Object> ratioMap);

    List<JSONObject> getPromoterRankRatioList(Map<String, Object> requestMap);

    List<JSONObject> getPromoterRatioList(Map<String, Object> requestMap);

    List<JSONObject> getOrderRankRatioList(Map<String, Object> requestMap);

    List<JSONObject> getOrderRankList(Map<String, Object> requestMap);

    List<JSONObject> indexStatistics(Map<String, Object> requestMap);

    JSONObject getTimeIntervalRatio(Map<String, Object> requestMap);

    List<Long> getPromoterIdsByUserIds(@Param("userIds") List<Long> userIds);
}
